Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getApplianceSingleLan({
networkId: "string",
});
export const merakiNetworksApplianceSingleLanExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_appliance_single_lan(network_id="string")
pulumi.export("merakiNetworksApplianceSingleLanExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupApplianceSingleLan(ctx, &networks.LookupApplianceSingleLanArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksApplianceSingleLanExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetApplianceSingleLan.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksApplianceSingleLanExample"] = example.Apply(getApplianceSingleLanResult => getApplianceSingleLanResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetApplianceSingleLanArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getApplianceSingleLan(GetApplianceSingleLanArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksApplianceSingleLanExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getApplianceSingleLan
arguments:
networkId: string
outputs:
merakiNetworksApplianceSingleLanExample: ${example.item}
Using getApplianceSingleLan
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getApplianceSingleLan(args: GetApplianceSingleLanArgs, opts?: InvokeOptions): Promise<GetApplianceSingleLanResult>
function getApplianceSingleLanOutput(args: GetApplianceSingleLanOutputArgs, opts?: InvokeOptions): Output<GetApplianceSingleLanResult>def get_appliance_single_lan(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetApplianceSingleLanResult
def get_appliance_single_lan_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetApplianceSingleLanResult]func LookupApplianceSingleLan(ctx *Context, args *LookupApplianceSingleLanArgs, opts ...InvokeOption) (*LookupApplianceSingleLanResult, error)
func LookupApplianceSingleLanOutput(ctx *Context, args *LookupApplianceSingleLanOutputArgs, opts ...InvokeOption) LookupApplianceSingleLanResultOutput> Note: This function is named LookupApplianceSingleLan in the Go SDK.
public static class GetApplianceSingleLan
{
public static Task<GetApplianceSingleLanResult> InvokeAsync(GetApplianceSingleLanArgs args, InvokeOptions? opts = null)
public static Output<GetApplianceSingleLanResult> Invoke(GetApplianceSingleLanInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetApplianceSingleLanResult> getApplianceSingleLan(GetApplianceSingleLanArgs args, InvokeOptions options)
public static Output<GetApplianceSingleLanResult> getApplianceSingleLan(GetApplianceSingleLanArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getApplianceSingleLan:getApplianceSingleLan
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getApplianceSingleLan Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Single Lan Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Single Lan Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Single Lan Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Single Lan Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Single Lan Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetApplianceSingleLanItem
- Appliance
Ip string - The local IP of the appliance on the single LAN
- Ipv6
Get
Appliance Single Lan Item Ipv6 - IPv6 configuration on the single LAN
- Mandatory
Dhcp GetAppliance Single Lan Item Mandatory Dhcp - Mandatory DHCP will enforce that clients connecting to this single LAN must use the IP address assigned by the DHCP server. Clients who use a static IP address won't be able to associate. Only available on firmware versions 17.0 and above
- Subnet string
- The subnet of the single LAN
- Appliance
Ip string - The local IP of the appliance on the single LAN
- Ipv6
Get
Appliance Single Lan Item Ipv6 - IPv6 configuration on the single LAN
- Mandatory
Dhcp GetAppliance Single Lan Item Mandatory Dhcp - Mandatory DHCP will enforce that clients connecting to this single LAN must use the IP address assigned by the DHCP server. Clients who use a static IP address won't be able to associate. Only available on firmware versions 17.0 and above
- Subnet string
- The subnet of the single LAN
- appliance
Ip String - The local IP of the appliance on the single LAN
- ipv6
Get
Appliance Single Lan Item Ipv6 - IPv6 configuration on the single LAN
- mandatory
Dhcp GetAppliance Single Lan Item Mandatory Dhcp - Mandatory DHCP will enforce that clients connecting to this single LAN must use the IP address assigned by the DHCP server. Clients who use a static IP address won't be able to associate. Only available on firmware versions 17.0 and above
- subnet String
- The subnet of the single LAN
- appliance
Ip string - The local IP of the appliance on the single LAN
- ipv6
Get
Appliance Single Lan Item Ipv6 - IPv6 configuration on the single LAN
- mandatory
Dhcp GetAppliance Single Lan Item Mandatory Dhcp - Mandatory DHCP will enforce that clients connecting to this single LAN must use the IP address assigned by the DHCP server. Clients who use a static IP address won't be able to associate. Only available on firmware versions 17.0 and above
- subnet string
- The subnet of the single LAN
- appliance_
ip str - The local IP of the appliance on the single LAN
- ipv6
Get
Appliance Single Lan Item Ipv6 - IPv6 configuration on the single LAN
- mandatory_
dhcp GetAppliance Single Lan Item Mandatory Dhcp - Mandatory DHCP will enforce that clients connecting to this single LAN must use the IP address assigned by the DHCP server. Clients who use a static IP address won't be able to associate. Only available on firmware versions 17.0 and above
- subnet str
- The subnet of the single LAN
- appliance
Ip String - The local IP of the appliance on the single LAN
- ipv6 Property Map
- IPv6 configuration on the single LAN
- mandatory
Dhcp Property Map - Mandatory DHCP will enforce that clients connecting to this single LAN must use the IP address assigned by the DHCP server. Clients who use a static IP address won't be able to associate. Only available on firmware versions 17.0 and above
- subnet String
- The subnet of the single LAN
GetApplianceSingleLanItemIpv6
- Enabled bool
- Enable IPv6 on single LAN
- Prefix
Assignments List<GetAppliance Single Lan Item Ipv6Prefix Assignment> - Prefix assignments on the single LAN
- Enabled bool
- Enable IPv6 on single LAN
- Prefix
Assignments []GetAppliance Single Lan Item Ipv6Prefix Assignment - Prefix assignments on the single LAN
- enabled Boolean
- Enable IPv6 on single LAN
- prefix
Assignments List<GetAppliance Single Lan Item Ipv6Prefix Assignment> - Prefix assignments on the single LAN
- enabled boolean
- Enable IPv6 on single LAN
- prefix
Assignments GetAppliance Single Lan Item Ipv6Prefix Assignment[] - Prefix assignments on the single LAN
- enabled bool
- Enable IPv6 on single LAN
- prefix_
assignments Sequence[GetAppliance Single Lan Item Ipv6Prefix Assignment] - Prefix assignments on the single LAN
- enabled Boolean
- Enable IPv6 on single LAN
- prefix
Assignments List<Property Map> - Prefix assignments on the single LAN
GetApplianceSingleLanItemIpv6PrefixAssignment
- Autonomous bool
- Auto assign a /64 prefix from the origin to the single LAN
- Origin
Get
Appliance Single Lan Item Ipv6Prefix Assignment Origin - The origin of the prefix
- Static
Appliance stringIp6 - Manual configuration of the IPv6 Appliance IP
- Static
Prefix string - Manual configuration of a /64 prefix on the single LAN
- Autonomous bool
- Auto assign a /64 prefix from the origin to the single LAN
- Origin
Get
Appliance Single Lan Item Ipv6Prefix Assignment Origin - The origin of the prefix
- Static
Appliance stringIp6 - Manual configuration of the IPv6 Appliance IP
- Static
Prefix string - Manual configuration of a /64 prefix on the single LAN
- autonomous Boolean
- Auto assign a /64 prefix from the origin to the single LAN
- origin
Get
Appliance Single Lan Item Ipv6Prefix Assignment Origin - The origin of the prefix
- static
Appliance StringIp6 - Manual configuration of the IPv6 Appliance IP
- static
Prefix String - Manual configuration of a /64 prefix on the single LAN
- autonomous boolean
- Auto assign a /64 prefix from the origin to the single LAN
- origin
Get
Appliance Single Lan Item Ipv6Prefix Assignment Origin - The origin of the prefix
- static
Appliance stringIp6 - Manual configuration of the IPv6 Appliance IP
- static
Prefix string - Manual configuration of a /64 prefix on the single LAN
- autonomous bool
- Auto assign a /64 prefix from the origin to the single LAN
- origin
Get
Appliance Single Lan Item Ipv6Prefix Assignment Origin - The origin of the prefix
- static_
appliance_ strip6 - Manual configuration of the IPv6 Appliance IP
- static_
prefix str - Manual configuration of a /64 prefix on the single LAN
- autonomous Boolean
- Auto assign a /64 prefix from the origin to the single LAN
- origin Property Map
- The origin of the prefix
- static
Appliance StringIp6 - Manual configuration of the IPv6 Appliance IP
- static
Prefix String - Manual configuration of a /64 prefix on the single LAN
GetApplianceSingleLanItemIpv6PrefixAssignmentOrigin
- Interfaces List<string>
- Interfaces associated with the prefix
- Type string
- Type of the origin
- Interfaces []string
- Interfaces associated with the prefix
- Type string
- Type of the origin
- interfaces List<String>
- Interfaces associated with the prefix
- type String
- Type of the origin
- interfaces string[]
- Interfaces associated with the prefix
- type string
- Type of the origin
- interfaces Sequence[str]
- Interfaces associated with the prefix
- type str
- Type of the origin
- interfaces List<String>
- Interfaces associated with the prefix
- type String
- Type of the origin
GetApplianceSingleLanItemMandatoryDhcp
- Enabled bool
- Enable Mandatory DHCP on single LAN.
- Enabled bool
- Enable Mandatory DHCP on single LAN.
- enabled Boolean
- Enable Mandatory DHCP on single LAN.
- enabled boolean
- Enable Mandatory DHCP on single LAN.
- enabled bool
- Enable Mandatory DHCP on single LAN.
- enabled Boolean
- Enable Mandatory DHCP on single LAN.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
